const sftpCache = require('sftp-cache')

exports.onPreInit = async function(
  { store },
  { connection, remoteDir, dirsToCache, concurrency = 5 }
) {
  const program = store.getState().program
  const localDir = program.directory
  await sftpCache({
    connection,
    remoteDir,
    dirsToCache,
    localDir,
    syncDirection: 'download',
    concurrency
  })
}

exports.onPostBuild = async function(
  { store },
  { connection, remoteDir, dirsToCache, concurrency = 5 }
) {
  const program = store.getState().program
  const localDir = program.directory
  await sftpCache({
    connection,
    remoteDir,
    dirsToCache,
    localDir,
    syncDirection: 'cache',
    concurrency
  })
}
